<div
  class="background-image"
  [style.backgroundImage]="'url(' + mood.val().image + ')'"
></div>

<ion-content style="background:rgba(255,255,255,0.8);text-align: center">
  <div class="div_top">
    <button
      (click)="back()"
      ion-button
      clear
      icon-only
      style="width:auto !important"
    >
      <ion-icon name="arrow-back"></ion-icon>
    </button>
  </div>

  <ion-row style="height: auto">
    <ion-col col-12 style="padding:0">
      <img
        class="shadow"
        src="{{ mood.val().image }}"
        style="width:100%;height: auto;min-height: 150px;background-color: rgba(0,0,0,0.5)"
      />
    </ion-col>

    <ion-col col-3> </ion-col>

    <ion-col col-6 style="text-align: center">
      <h4>{{ mood.val().name }}</h4>
    </ion-col>

    <ion-col col-3> </ion-col>
  </ion-row>

  <ion-item style="background-color: transparent;text-align: center" no-lines>{{
    'newSong' | translate
  }}</ion-item>
  <ion-scroll scrollX style="height:200px;" *ngIf="newlists.length > 0">
    <div
      class="scroll-item"
      *ngFor="let artist of newlists; let i = index"
      (click)="playnew(i)"
      style="text-align: center;margin:10px;width: 120px"
    >
      <img-loader
        useImg
        class="shadow"
        src="{{ artist.art }}"
        style="width: 120px;height: 120px"
      ></img-loader>
      <p style="text-overflow: ellipsis;overflow: hidden">
        {{ artist.title }}
      </p>
      <p style="margin-top:-10px;font-size: 80%">
        {{ artist.artist }}
      </p>
    </div>
  </ion-scroll>

  <ion-item style="background-color: transparent;text-align: center" no-lines>{{
    'trendingNow' | translate
  }}</ion-item>
  <ion-scroll
    scrollX
    style="height:200px;"
    *ngIf="popularTracksPlaylists.length > 0"
  >
    <div
      class="scroll-item"
      *ngFor="let artist of popularTracksPlaylists; let i = index"
      (click)="playpop(i)"
      style="text-align: center;margin:10px;width: 120px;"
    >
      <img-loader
        useImg
        class="shadow"
        src="{{ artist.art }}"
        style="width: 120px;height: 120px"
      ></img-loader>
      <p style="text-overflow: ellipsis;overflow: hidden">
        {{ artist.title }}
      </p>
      <p style="margin-top:-10px;font-size: 80%">
        {{ artist.artistName }}
      </p>
    </div>
  </ion-scroll>

  <ion-item style="background-color: transparent;text-align: center" no-lines>{{
    'playlists' | translate
  }}</ion-item>
  <ion-list class="playlist" no-lines style="background-color: transparent">
    <ion-item
      *ngFor="let track of playlists; let i = index"
      block
      clear
      style="background-color: transparent"
    >
      <ion-avatar item-left (click)="play(i)">
        <img class="shadow" src="{{ track.art }}" />
      </ion-avatar>
      <h2 (click)="play(i)">{{ track.title }}</h2>
      <p (click)="play(i)">{{ track.artist }}</p>
    </ion-item>
  </ion-list>

  <ion-item style="background-color: transparent;text-align: center" no-lines>{{
    'artists' | translate
  }}</ion-item>
  <ion-scroll
    scrollX
    style="height:200px;"
    *ngIf="popularArtistsPlaylists.length > 0"
  >
    <div
      class="scroll-item"
      *ngFor="let artist of popularArtistsPlaylists"
      (click)="gotoartist(artist.$key)"
      style="text-align: center;margin:10px"
    >
      <img-loader
        useImg
        class="shadow radius"
        src="{{ artist.image }}"
        style="width: 120px;height: 120px;border-radius:100px"
      ></img-loader>
      <p>{{ artist.name }}</p>
    </div>
  </ion-scroll>
</ion-content>

<ion-footer
  style="background: linear-gradient(to top, rgb(0, 0, 0), rgb(66, 39, 90));"
>
  <div
    *ngIf="tracks"
    style="height: 3px;z-index: 9999;background-color:#faa74a"
    [style.width.%]="musicservice.progress()"
  ></div>

  <ion-row *ngIf="tracks">
    <ion-col col-8 (click)="player()">
      <button ion-button clear block style="color: white;">
        <div class="marquee">
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
        </div>
      </button>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <audio-track-play light [audioTrack]="tracks"> </audio-track-play>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <button (click)="next()" ion-button clear style="color:white" icon-only>
        <ion-icon name="skip-forward"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
</ion-footer>
